Bug 160359 - Kernel compiled with CONFIG_BLK_DEV_RAM_SIZE too small
Kernel compiled with CONFIG_BLK_DEV_RAM_SIZE too small
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Baron
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-06-14 13:28 EDT by David Huffman
Modified: 2013-03-06 00:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 09:33:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Huffman 2005-06-14 13:28:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050302 Firefox/1.0.1 Fedora/1.0.1-1.3.2

Description of problem:
In order to provide a way to concatenate a kernel and initrd image into a single 32-bit binary for network boot, the ramdisk_size for the kernel must be large enough for the initrd. I am recommended increasing the ramdisk size above 65536 to allow for larger initrd images that are at least 65536.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a concatenated kernel + initrd image using distro supplied kernel.
2.
3.
  

Actual Results:  Received kernel panic while loading initrd image.
errors "attempting to access beyond end of device"



Additional info:

Using yaboot to network boot rs6K systems in not a working solution because it does not support network boot of kernel images larger than 6MB. This solution would allow the ability to create the zImage.initrd images needed to network boot a system without the yaboot bootloader.
Comment 1 Jason Baron 2005-06-20 15:53:17 EDT
you can pass kernel command line:'ramdisk_size=#', where # is the size of the
ramdisk in K. Does that solve this issue?
Comment 2 David Huffman 2005-06-21 11:52:03 EDT
(In reply to comment #1) 
> you can pass kernel command line:'ramdisk_size=#', where # is the size of 
the 
> ramdisk in K. Does that solve this issue? 
 
Not really. When using a kerenl+initrd (zImage.initrd) I boot directly from 
openfirmware without a bootloader, so I cannot pass that info. I can pass 
ramdisk_size= at the OF prompt, but that would be required at every boot. I 
would assume most admins would rather configure the IPL within SMS rather than 
boot using OF commands. Is there a particular reason the ramdisk size is so 
small? 
 
Comment 3 Arjan van de Ven 2005-08-19 14:23:34 EDT
Note that we don't use ramdisks for initrd's anymore, but initramfs... that has
no limit at all...
Comment 5 Jiri Pallich 2012-06-20 09:33:36 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.